javax.xml.ws.handler.soap

## Interface SOAPHandler<T extends SOAPMessageContext>

All Superinterfaces:
  Handler<T>

    public interface SOAPHandler<T extends SOAPMessageContext>
    extends Handler<T>

The `SOAPHandler` class extends `Handler` to provide typesafety for the message context parameter and add a method to obtain access to the headers that may be processed by the handler.

Since:
  JAX-WS 2.0

### Method Summary

Methods
`Set<QName>` `getHeaders()` Gets the header blocks that can be processed by this Handler instance.

### Methods inherited from interface javax.xml.ws.handler.Handler

`close, handleFault, handleMessage`

### Method Detail

#### getHeaders

    Set<QName> getHeaders()

Gets the header blocks that can be processed by this Handler instance.

Returns:
  Set of `QNames` of header blocks processed by this handler instance. `QName` is the qualified name of the outermost element of the Header block.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.